## kcalcore 18.04.3

=== debian/control ===
Source: kcalcore
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: bison,
               cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               libical2-dev | libical-dev,
               libkf5kdelibs4support-dev (>= 5.31.0~),
               pkg-config,
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev (>= 5.6.1~),
Standards-Version: 3.9.6
Homepage: https://projects.kde.org/projects/kde/pim/kcalcore
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kcalcore
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kcalcore

Package: libkf5calendarcore-dev
Section: libdevel
Architecture: any
Depends: libical2-dev | libical-dev,
         libkf5calendarcore5abi1 (= ${binary:Version}),
         libkf5kdelibs4support-dev (>= 5.31.0~),
         ${misc:Depends},
Description: development files for kcalcore
 This library provides access to and handling of calendar data.
 It supports the standard formats iCalendar and vCalendar and the
 group scheduling standard iTIP.
 .
 This package contains the development files.

Package: libkf5calendarcore5abi1
X-Debian-ABI: 1
X-CMake-Target: KF5CalendarCore
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: calendar access framework
 This library provides access to and handling of calendar data.
 It supports the standard formats iCalendar and vCalendar and the
 group scheduling standard iTIP.

## kcalcore 18.08.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)
set(PIM_VERSION "5.9.3")

project(KCalCore VERSION ${PIM_VERSION})

# ECM setup
set(KF5_VERSION "5.47.0")

find_package(ECM ${KF5_VERSION} CONFIG REQUIRED)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${KCalCore_SOURCE_DIR}/cmake)

include(GenerateExportHeader)
include(ECMGenerateHeaders)
include(ECMGeneratePriFile)
include(CMakePackageConfigHelpers)
include(ECMSetupVersion)
include(FeatureSummary)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(ECMQtDeclareLoggingCategory)
include(ECMCoverageOption)
if(POLICY CMP0053)
  cmake_policy(SET CMP0053 NEW)
endif()
set(QT_REQUIRED_VERSION "5.9.0")

set(KCALENDARCORE_LIB_VERSION ${PIM_VERSION})
ecm_setup_version(PROJECT VARIABLE_PREFIX KCALCORE
  VERSION_HEADER "${KCalCore_BINARY_DIR}/kcalcore_version.h"
  PACKAGE_VERSION_FILE "${KCalCore_BINARY_DIR}/KF5CalendarCoreConfigVersion.cmake"
  SOVERSION 5
)

########### Find packages ###########
find_package(Qt5 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Core Gui)

set(LibIcal_MIN_VERSION "2.0")
find_package(LibIcal ${LibIcal_MIN_VERSION})
set_package_properties(LibIcal PROPERTIES TYPE REQUIRED)
if(LibIcal_VERSION VERSION_GREATER "2.98")
  set(HAVE_ICAL_3 TRUE)
  add_definitions(-DUSE_ICAL_3)
endif()

########### CMake Config Files ###########
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5CalendarCore")

configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/KF5CalendarCoreConfig.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5CalendarCoreConfig.cmake"
  INSTALL_DESTINATION ${CMAKECONFIG_INSTALL_DIR}
)

add_definitions(-DQT_NO_CAST_FROM_ASCII -DQT_NO_CAST_TO_ASCII)
add_definitions(-DQT_NO_NARROWING_CONVERSIONS_IN_CONNECT)
add_definitions(-DQT_NO_URL_CAST_FROM_STRING)
add_definitions(-DQT_USE_QSTRINGBUILDER)
add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x060000)
########### Targets ###########
add_subdirectory(src)

if(BUILD_TESTING)
  find_package(Qt5 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Test)
  add_subdirectory(autotests)
endif()

add_subdirectory(cmake)

########### Install Files ###########
install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/KF5CalendarCoreConfig.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5CalendarCoreConfigVersion.cmake"
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  COMPONENT Devel
)

install(EXPORT KF5CalendarCoreTargets
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  FILE KF5CalendarCoreTargets.cmake
  NAMESPACE KF5::
)

install(FILES
  ${CMAKE_CURRENT_BINARY_DIR}/kcalcore_version.h
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5} COMPONENT Devel
)

install(FILES kcalcore.renamecategories kcalcore.categories DESTINATION ${KDE_INSTALL_CONFDIR})

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

## kcalcore 18.08.3.1+qtbuild

=== debian/changelog ===
kcalcore (4:18.08.3.1+qtbuild-1+eagle) unstable; urgency=medium

  * update

 -- Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Mon, 22 Feb 2021 17:22:14 +0800

=== debian/control ===
Source: kcalcore
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: bison,
               cmake (>= 3.0~),
               debhelper (>= 11),
               extra-cmake-modules (>= 5.47.0~),
               libical-dev (>= 2.0~),
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev (>= 5.9.0~),
Standards-Version: 4.3.0
Homepage: https://projects.kde.org/projects/kde/pim/kcalcore
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kcalcore
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kcalcore.git

Package: libkf5calendarcore-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5calendarcore5abi2 (= ${binary:Version}),
         qtbase5-dev (>= 5.9.0~),
         ${misc:Depends},
Description: development files for kcalcore
 This library provides access to and handling of calendar data.
 It supports the standard formats iCalendar and vCalendar and the
 group scheduling standard iTIP.
 .
 This package contains the development files.
Breaks: libkf5akonadicalendar-dev (<< 4:17.08),
        libkf5akonadicontact-dev (<< 4:17.08),
        libkf5akonadisearch-dev (<< 4:17.08),
        libkf5alarmcalendar-dev (<< 4:17.08),
        libkf5blog-dev (<< 4:17.08),
        libkf5calendarutils-dev (<< 4:17.08),
        libkf5incidenceeditor-dev (<< 17.08),
        libkf5tnef-dev (<< 4:17.08),

Package: libkf5calendarcore5abi2
X-Debian-ABI: 2
X-CMake-Target: KF5CalendarCore
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: calendar access framework
 This library provides access to and handling of calendar data.
 It supports the standard formats iCalendar and vCalendar and the
 group scheduling standard iTIP.
Breaks: akonadiconsole (<< 4:17.08),
        kalarm (<< 4:17.08),
        kdepim-addons (<< 17.08),
        kdepim-runtime (<< 4:17.08),
        kmail (<< 4:17.08),
        knotes (<< 4:17.08),
        konsolekalendar (<< 4:17.08),
        korganizer (<< 4:17.08),
        libkf5akonadicalendar5 (<< 4:17.08),
        libkf5akonadisearch-bin (<< 4:17.08),
        libkf5alarmcalendar5 (<< 4:17.08),
        libkf5blog5 (<< 4:17.08),
        libkf5calendarsupport5 (<< 4:17.08),
        libkf5calendarutils5 (<< 4:17.08),
        libkf5eventviews5 (<< 4:17.08),
        libkf5incidenceeditor-bin (<< 17.08),
        libkf5incidenceeditor5 (<< 17.08),
        libkf5messagecomposer5 (<< 4:17.08),
        libkf5messageviewer5 (<< 4:17.08),
        libkf5tnef5 (<< 4:17.08),

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_strip:
	$(overridden_command) --dbgsym-migration='libkf5calendarcore-dbg (<= 4:15.12.0-1~~)'

override_dh_auto_test:
	# Disable auto test at build time, fakeroot breaks them
	-dh_auto_test --no-parallel

## kcalcore 18.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,10 @@
 cmake_minimum_required(VERSION 3.0)
-set(PIM_VERSION "5.9.3")
+set(PIM_VERSION "5.10.3")
 
 project(KCalCore VERSION ${PIM_VERSION})
 
 # ECM setup
-set(KF5_VERSION "5.47.0")
+set(KF5_VERSION "5.51.0")
 
 find_package(ECM ${KF5_VERSION} CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${KCalCore_SOURCE_DIR}/cmake)
@@ -12,14 +12,14 @@
 include(GenerateExportHeader)
 include(ECMGenerateHeaders)
 include(ECMGeneratePriFile)
-include(CMakePackageConfigHelpers)
+
 include(ECMSetupVersion)
 include(FeatureSummary)
 include(KDEInstallDirs)
 include(KDECMakeSettings)
 include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
 include(ECMQtDeclareLoggingCategory)
-include(ECMCoverageOption)
+
 if(POLICY CMP0053)
   cmake_policy(SET CMP0053 NEW)
 endif()
@@ -52,10 +52,7 @@
   INSTALL_DESTINATION ${CMAKECONFIG_INSTALL_DIR}
 )
 
-add_definitions(-DQT_NO_CAST_FROM_ASCII -DQT_NO_CAST_TO_ASCII)
-add_definitions(-DQT_NO_NARROWING_CONVERSIONS_IN_CONNECT)
-add_definitions(-DQT_NO_URL_CAST_FROM_STRING)
-add_definitions(-DQT_USE_QSTRINGBUILDER)
+
 add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x060000)
 ########### Targets ###########
 add_subdirectory(src)

## kcalcore 19.04.3

=== debian/control ===
Source: kcalcore
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: bison,
               cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               libical-dev,
               libkf5kdelibs4support-dev (>= 5.31.0~),
               pkg-config,
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev (>= 5.6.1~),
Standards-Version: 3.9.6
Homepage: https://projects.kde.org/projects/kde/pim/kcalcore
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kcalcore
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kcalcore

Package: libkf5calendarcore-dev
Section: libdevel
Architecture: any
Depends: libical-dev,
         libkf5calendarcore5abi1 (= ${binary:Version}),
         libkf5kdelibs4support-dev (>= 5.31.0~),
         ${misc:Depends},
Description: development files for kcalcore
 This library provides access to and handling of calendar data.
 It supports the standard formats iCalendar and vCalendar and the
 group scheduling standard iTIP.
 .
 This package contains the development files.

Package: libkf5calendarcore5abi1
X-Debian-ABI: 1
X-CMake-Target: KF5CalendarCore
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: calendar access framework
 This library provides access to and handling of calendar data.
 It supports the standard formats iCalendar and vCalendar and the
 group scheduling standard iTIP.

## kcalcore 19.08.3

=== debian/control ===
Source: kcalcore
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>, Sandro Knauß <hefee@debian.org>
Build-Depends: bison,
               cmake (>= 3.5~),
               debhelper-compat (= 12),
               extra-cmake-modules (>= 5.60.0~),
               libical-dev (>= 2.0~),
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev (>= 5.11.0~)
Standards-Version: 4.4.1
Homepage: https://projects.kde.org/projects/kde/pim/kcalcore
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kcalcore
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kcalcore.git

Package: libkf5calendarcore-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5calendarcore5abi2 (= ${binary:Version}),
         qtbase5-dev (>= 5.11.0~),
         ${misc:Depends}
Description: development files for kcalcore
 This library provides access to and handling of calendar data.
 It supports the standard formats iCalendar and vCalendar and the
 group scheduling standard iTIP.
 .
 This package contains the development files.

Package: libkf5calendarcore5abi2
X-Debian-ABI: 2
X-CMake-Target: KF5CalendarCore
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Provides: ${ABI:VirtualPackage}
Description: calendar access framework
 This library provides access to and handling of calendar data.
 It supports the standard formats iCalendar and vCalendar and the
 group scheduling standard iTIP.

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,17 @@
 #!/usr/bin/make -f
 
+include /usr/share/dpkg/pkg-info.mk
 include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
+
+AbiVirtualPackageVersion = $(call dpkg_late_eval,AbiVirtualPackageVersion,echo '${DEB_VERSION_UPSTREAM}' | sed -e 's/\.[0-9]\+$$//')
+pkgs_lib = $(filter-out %-dev %-dbg %-bin %-data,$(filter lib%,$(shell dh_listpackages)))
+
+override_dh_makeshlibs:
+	for pkg in $(pkgs_lib); do \
+		name=$$( echo "$${pkg}" | sed -e 's/abi[0-9]\+\s*//'); \
+		echo "ABI:VirtualPackage=$${name}-${AbiVirtualPackageVersion}" >> debian/$${pkg}.substvars; \
+		$(overridden_command) -p$${pkg} -V "$${pkg} (>= $(DEB_VERSION_EPOCH_UPSTREAM)), $${name}-${AbiVirtualPackageVersion}"; \
+	done
 
 override_dh_strip:
 	$(overridden_command) --dbgsym-migration='libkf5calendarcore-dbg (<= 4:15.12.0-1~~)'
